Index: branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/IResult.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/IResult.cs	(revision 15719)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/IResult.cs	(revision 16728)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e05050f3-5f92-4245-b733-7097d496e781")]
   /// <summary>
   /// Represents a result which has a name and a data type and holds an IItem.
Index: branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs	(revision 15719)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs	(revision 16728)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("af5d3f60-6f3a-4a44-a906-688ac8296fe3")]
   public interface IResultParameter : ILookupParameter {
     string ResultCollectionName { get; set; }
@@ -29,4 +31,5 @@
   }
 
+  [StorableType("803e6ad6-dd9d-497a-ad1c-7cd3dc5b0d3c")]
   public interface IResultParameter<T> : ILookupParameter<T>, IResultParameter where T : class, IItem {
     T DefaultValue { get; set; }
Index: branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/Result.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/Result.cs	(revision 15719)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/Result.cs	(revision 16728)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("Result", "A result which has a name and a data type and holds an IItem.")]
-  [StorableClass]
+  [StorableType("219051C0-9D62-4CDE-9BA1-32233C81B678")]
   public sealed class Result : NamedItem, IResult, IStorableContent {
     public string Filename { get; set; }
@@ -76,5 +76,5 @@
 
     [StorableConstructor]
-    private Result(bool deserializing) : base(deserializing) { }
+    private Result(StorableConstructorFlag _) : base(_) { }
     private Result(Result original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/ResultCollection.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/ResultCollection.cs	(revision 15719)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/ResultCollection.cs	(revision 16728)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,8 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableType("959230E3-C51B-4EC0-BDB2-0B0D71F5A6E3")]
   [Item("ResultCollection", "Represents a collection of results.")]
   public class ResultCollection : NamedItemCollection<IResult> {
@@ -33,5 +33,5 @@
     public ResultCollection(IEnumerable<IResult> collection) : base(collection) { }
     [StorableConstructor]
-    protected ResultCollection(bool deserializing) : base(deserializing) { }
+    protected ResultCollection(StorableConstructorFlag _) : base(_) { }
     protected ResultCollection(ResultCollection original, Cloner cloner)
       : base(original, cloner) {
Index: branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/ResultParameter.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/ResultParameter.cs	(revision 15719)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Optimization/3.3/Results/ResultParameter.cs	(revision 16728)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
   [Item("ResultParameter", "A parameter whose value is written to a result collection.")]
-  [StorableClass]
+  [StorableType("CF10EF50-82B6-4A98-82C0-3C5ECED48904")]
   public sealed class ResultParameter<T> : LookupParameter<T>, IResultParameter<T> where T : class, IItem {
     public override Image ItemImage { get { return VSImageLibrary.Exception; } }
@@ -62,5 +62,5 @@
 
     [StorableConstructor]
-    private ResultParameter(bool deserializing) : base(deserializing) { }
+    private ResultParameter(StorableConstructorFlag _) : base(_) { }
     private ResultParameter(ResultParameter<T> original, Cloner cloner)
       : base(original, cloner) {
